Skip to main content
POST
/
image-generation
gemini-3-pro-image-preview
curl --request POST \
  --url https://api.linkmodel.ai/api/v1/image-generation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "gemini-3-pro-image-preview",
  "prompt": "<string>",
  "images": [
    "<string>"
  ],
  "quality": "1K"
}
'
{
  "code": 0,
  "data": {
    "task_id": "cb6111cf-e89f-4978-b8e3-aa59c21cceff",
    "order_id": "019da9cf-d1db-78e1-ac23-526774d01193",
    "status": "processing",
    "price": 0.074
  },
  "msg": "success",
  "request_id": "250b66dd-e1fb-4bb6-b5f6-c668efadc35d"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
enum<string>
required

Must be one of: gemini-3-pro-image-preview.

Available options:
gemini-3-pro-image-preview
prompt
string
required

Length must be between 1 and 100000.

Required string length: 1 - 100000
images
string<url>[]

Up to 10 reference images.

Required array length: 1 - 10 elements
size
enum<string>

Must be one of: 16x9, 1x1, 21x9, 2x3, 3x2, 3x4, 4x3, 4x5, 5x4, 9x16.

Available options:
16x9,
1x1,
21x9,
2x3,
3x2,
3x4,
4x3,
4x5,
5x4,
9x16
quality
enum<string>
default:1K

Must be one of: 1K, 2K, 4K. Defaults to 1K.

Available options:
1K,
2K,
4K

Response

Task accepted and queued for generation.

code
integer
Example:

0

data
object
msg
string
Example:

"success"

request_id
string<uuid>
Example:

"250b66dd-e1fb-4bb6-b5f6-c668efadc35d"